Package ru.bitel.bgbilling.modules.mps.server.bean.protocol

# Class ClickTransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager
ru.bitel.bgbilling.modules.mps.server.bean.protocol.ClickTransactionManager

public class ClickTransactionManager extends MPSTransactionManager
Платежная система click. Данный протокол добавлен по заказу Nano Telecom. Протокол работает только в Узбекистане и поэтому будет, скорей всего, мало востребован.

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, KEY_RESPONSE_PARAMETERS, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClickTransactionManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected byte[]`
  `getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)`
  Формирование сырого ответа системе из MPSResponse
  `protected List<Transaction>`
  `getTransactionListFromFile(Conf.MPSSystem system, String file)`
  `protected MPSRequest`
  `parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request)`
  Парсинг запроса от системы
  `protected void`
  `processError(MPSException ex, MPSResponse response)`
  Обработка ошибки
  `protected byte[]`
  `processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest httpRequest, jakarta.servlet.http.HttpServletResponse response)`
  Обработка запроса от системы

  ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.protocol.MPSTransactionManager

  `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, checkValid, clearCanceledTransaction, createTemporaryTable, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getContractTitle, getDefaultEncoding, getEncoding, getInstance, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, processResponseEvent, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setEncoding, setResponseParameters, setUserLogin, systemAccountAdd, systemAccountDelete, xmlSerialize`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClickTransactionManager

    public ClickTransactionManager()

- ## Method Details

  - ### processRequest

    protected byte[] processRequest(Connection con, int moduleId, String mpsId, Conf conf, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest httpRequest, jakarta.servlet.http.HttpServletResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка запроса от системы
    Specified by:
      `processRequest` in class `MPSTransactionManager`

  - ### parseRequest

    protected MPSRequest parseRequest(Connection con, int moduleId, String mpsId, Conf.MPSSystem system, jakarta.servlet.http.HttpServletRequest request) throws MPSException
    Description copied from class: `MPSTransactionManager`
    Парсинг запроса от системы
    Specified by:
      `parseRequest` in class `MPSTransactionManager`
    Throws:
      `MPSException`

  - ### processError

    protected void processError(MPSException ex, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Обработка ошибки
    Specified by:
      `processError` in class `MPSTransactionManager`

  - ### getTransactionListFromFile

    protected List<Transaction> getTransactionListFromFile(Conf.MPSSystem system, String file)
    Specified by:
      `getTransactionListFromFile` in class `MPSTransactionManager`

  - ### getResponse

    protected byte[] getResponse(Connection con, Conf.MPSSystem system, MPSResponse response)
    Description copied from class: `MPSTransactionManager`
    Формирование сырого ответа системе из MPSResponse
    Specified by:
      `getResponse` in class `MPSTransactionManager`